Bug 441075 - Kyocera KPC650 EVDO modem does not work
Kyocera KPC650 EVDO modem does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 17:23 EDT by Ricardo Arguello
Modified: 2009-07-14 11:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardo Arguello 2008-04-05 17:23:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008040216 Fedora/3.0-0.52.beta5.fc9 Firefox/3.0b5

Description of problem:
When I try to use the "Kyocera KPC650" EVDO modem with NetworkManager or directly using the Network configuration, the kernel gives me this error in /var/log/messages and it can not dial:

Apr  5 15:51:41 thinkpad kernel: airprime 5-1:1.1: airprime converter detected
Apr  5 15:51:41 thinkpad kernel: usb 5-1: airprime converter now attached to ttyUSB3
Apr  5 15:51:41 thinkpad kernel: usb 5-1: airprime converter now attached to ttyUSB4
Apr  5 15:51:41 thinkpad kernel: usb 5-1: airprime converter now attached to ttyUSB5
Apr  5 15:51:41 thinkpad kernel: usbcore: registered new interface driver airprime
Apr  5 15:51:42 thinkpad NetworkManager: <info>  ttyUSB0: Device is fully-supported using driver 'airprime'.
Apr  5 15:51:42 thinkpad NetworkManager: <info>  Now managing Modem device 'ttyUSB0'.
Apr  5 15:51:42 thinkpad NetworkManager: <info>  Bringing down device ttyUSB0
Apr  5 15:51:42 thinkpad NetworkManager: <info>  Deactivating device ttyUSB0.
Apr  5 15:51:42 thinkpad NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/Hal/devices/usb_device_c88_17da_noserial_if0_serial_usb_0
Apr  5 15:52:05 thinkpad gconfd (root-3257): starting (version 2.22.0), pid 3257 user 'root'
Apr  5 15:52:05 thinkpad gconfd (root-3257): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Apr  5 15:52:05 thinkpad gconfd (root-3257): Resolved address "xml:readwrite:/root/.gconf" to a writable configuration source at position 1
Apr  5 15:52:05 thinkpad gconfd (root-3257): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Apr  5 15:52:06 thinkpad system-config-network[3246]: rm //etc/sysconfig/networking/profiles//default/resolv.conf
Apr  5 15:52:06 thinkpad system-config-network[3246]: ln //etc/resolv.conf //etc/sysconfig/networking/profiles//default/resolv.conf
Apr  5 15:52:17 thinkpad kernel: warning: process `/usr/sbin/syste' used the deprecated sysctl system call with 1.23.
Apr  5 15:52:17 thinkpad kernel: airprime ttyUSB1: airprime_open - failed submitting read urb 0 for port 1, error -8
Apr  5 15:52:17 thinkpad kernel: airprime ttyUSB2: airprime_open - failed submitting read urb 0 for port 2, error -8
Apr  5 15:52:17 thinkpad kernel: 
Apr  5 15:52:17 thinkpad kernel: =============================================
Apr  5 15:52:17 thinkpad kernel: [ INFO: possible recursive locking detected ]
Apr  5 15:52:17 thinkpad kernel: 2.6.25-0.195.rc8.git1.fc9.i686 #1
Apr  5 15:52:17 thinkpad kernel: ---------------------------------------------
Apr  5 15:52:17 thinkpad kernel: /usr/sbin/syste/3246 is trying to acquire lock:
Apr  5 15:52:17 thinkpad kernel:  (&serial->disc_mutex){--..}, at: [<f8f6b3b8>] airprime_close+0x67/0xeb [airprime]
Apr  5 15:52:17 thinkpad kernel: 
Apr  5 15:52:17 thinkpad kernel: but task is already holding lock:
Apr  5 15:52:17 thinkpad kernel:  (&serial->disc_mutex){--..}, at: [<f8f6b39d>] airprime_close+0x4c/0xeb [airprime]
Apr  5 15:52:17 thinkpad kernel: 
Apr  5 15:52:17 thinkpad kernel: other info that might help us debug this:
Apr  5 15:52:17 thinkpad kernel: 2 locks held by /usr/sbin/syste/3246:
Apr  5 15:52:17 thinkpad kernel:  #0:  (&port->mutex){--..}, at: [<f8f7297c>] serial_close+0x47/0xdf [usbserial]
Apr  5 15:52:17 thinkpad kernel:  #1:  (&serial->disc_mutex){--..}, at: [<f8f6b39d>] airprime_close+0x4c/0xeb [airprime]
Apr  5 15:52:17 thinkpad kernel: 
Apr  5 15:52:17 thinkpad kernel: stack backtrace:
Apr  5 15:52:17 thinkpad kernel: Pid: 3246, comm: /usr/sbin/syste Not tainted 2.6.25-0.195.rc8.git1.fc9.i686 #1
Apr  5 15:52:17 thinkpad kernel:  [__lock_acquire+2287/3089] __lock_acquire+0x8ef/0xc11
Apr  5 15:52:17 thinkpad kernel:  [dump_trace+197/229] ? dump_trace+0xc5/0xe5
Apr  5 15:52:17 thinkpad kernel:  [trace_hardirqs_on+233/266] ? trace_hardirqs_on+0xe9/0x10a
Apr  5 15:52:17 thinkpad kernel:  [restore_nocheck+18/21] ? restore_nocheck+0x12/0x15
Apr  5 15:52:17 thinkpad kernel:  [lock_acquire+106/144] lock_acquire+0x6a/0x90
Apr  5 15:52:17 thinkpad kernel:  [<f8f6b3b8>] ? airprime_close+0x67/0xeb [airprime]
Apr  5 15:52:17 thinkpad kernel:  [mutex_lock_nested+219/625] mutex_lock_nested+0xdb/0x271
Apr  5 15:52:17 thinkpad kernel:  [<f8f6b3b8>] ? airprime_close+0x67/0xeb [airprime]
Apr  5 15:52:17 thinkpad kernel:  [<f8f6b3b8>] ? airprime_close+0x67/0xeb [airprime]
Apr  5 15:52:17 thinkpad kernel:  [<f8f6b3b8>] airprime_close+0x67/0xeb [airprime]
Apr  5 15:52:17 thinkpad kernel:  [<f8f729a9>] serial_close+0x74/0xdf [usbserial]
Apr  5 15:52:17 thinkpad kernel:  [release_dev+459/1540] release_dev+0x1cb/0x604
Apr  5 15:52:17 thinkpad kernel:  [lock_release_holdtime+26/277] ? lock_release_holdtime+0x1a/0x115
Apr  5 15:52:17 thinkpad kernel:  [hrtimer_try_to_cancel+97/107] ? hrtimer_try_to_cancel+0x61/0x6b
Apr  5 15:52:17 thinkpad kernel:  [hrtimer_cancel+13/24] ? hrtimer_cancel+0xd/0x18
Apr  5 15:52:17 thinkpad kernel:  [tty_release+18/28] tty_release+0x12/0x1c
Apr  5 15:52:17 thinkpad kernel:  [__fput+179/343] __fput+0xb3/0x157
Apr  5 15:52:17 thinkpad kernel:  [fput+23/25] fput+0x17/0x19
Apr  5 15:52:17 thinkpad kernel:  [filp_close+80/90] filp_close+0x50/0x5a
Apr  5 15:52:17 thinkpad kernel:  [sys_close+115/173] sys_close+0x73/0xad
Apr  5 15:52:17 thinkpad kernel:  [syscall_call+7/11] syscall_call+0x7/0xb
Apr  5 15:52:17 thinkpad kernel:  =======================


Version-Release number of selected component (if applicable):
kernel-2.6.25-0.195.rc8.git1.fc9.i686

How reproducible:
Always


Steps to Reproduce:
1.Insert PC card (Kyocera KPC650)
2.Try to dial using NetworkManager or System/Administration/Network
3.The kernel gives an erro in /var/log/messages

Actual Results:


Expected Results:
It should dial the ISP

Additional info:
Comment 1 Bug Zapper 2008-05-14 04:57:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:00:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:43:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.